04/18/2012 07:36 AM - Lukas Zapletal

Status: Closed   

Priority: Normal   

Assignee: Amos Benari   

Category: Plugin integration   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged: No Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

Katello is multi-tenant system and it supports organizations and environments. Typically, every resource belongs to an organization

and a environment. Foreman already supports environments for hosts (I am not sure if they can be assigned across whole Foreman)

and we could use them for this purpose. It would be good idea to implement also organizations, so we would have direct mapping

between Katello and Foreman.

From the history, Candlepin did support only organizations (called owners there), Pulp does not support either orgs or envs. In

Candlepin it was tricky to work without environments and some time ago we have decided to implement environments in Candlepin.

In Pulp there is no support for them, so resources have very long and ugly names like:

Organization_Name-environment_name-Red_Hat_Enterprise_Linux_Server-Red_Hat_Enterprise_Linux_5_Server_RPMs_x86_64_5

Server

We would need to do the same for Foreman. Each resource (like operating system, installation media etc) would need to have similar

name. But with organizations and environments extended for all resources (or at least installation media, operating systems and

templates) we could only use the Candlepin product name which is shorter (Red_Hat_Enterprise...).

From our experiences I think it would be better to implement this into the Foreman than to use the string-concatenating approach.

Please consider this feature.

Related issues:

Related to Foreman - Feature #564: Implement OUs hierarchy to allow reusing (... Closed 01/04/2011

Associated revisions

Revision 611f5bff - 11/28/2012 05:38 AM - Amos Benari

Add organization and location to foreman.

This feature allows foreman to provide multi location, multi tenant and

multi organizations capablities.

the idea is that resources within foreman (e.g. hosts, subnets, users,

environments etc) can belong to one or more locations and organization,

effectivily hidding resources from users.

Organization may contain multiple locations, and Locations can belong

to multiple Organization, this is an extermily flexiable design,

however, it is up to the user to allocate the resources across the

organizations and locations.

When creating new hosts, the resources that can be consumed are only

resources in which exists in both the currently used organization and location.

fixes #1578

fixes #1593

History

#1 - 04/18/2012 08:29 AM - Ohad Levy
- Status changed from New to Duplicate

#2 - 11/28/2012 05:36 AM - Ohad Levy

- Status changed from Duplicate to Assigned

- Assignee set to Amos Benari

- Target version set to 1.1

#3 - 11/28/2012 06:49 AM - Amos Benari

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset 611f5bff49c1f06ae9ad0dd42b7566df9a02af2f.

#4 - 03/16/2020 03:11 PM - Tomer Brisker

- Category changed from 47 to Plugin integration
